<?php
require_once("_functions.php");

$_TITLE = "Confirm your order";
require_once("_header.php");

$_COUNTRIES = getCountries();
$_SIZES = getSizes();
$_COLOURS = getColours();
?>

<div id="content">
<?php
foreach($_POST as $Key=>$Value)
	$_SESSION['details'][$Key] = stripslashes($Value);
	
if((empty($_POST['fname']) || empty($_POST['lname']) || empty($_POST['email']) || empty($_POST['phone']) || empty($_POST['address1']) || empty($_POST['citytown']) || empty($_POST['county']) || empty($_POST['country']) || empty($_POST['postalcode'])) && strlen($_SESSION['details']['postalcode']) < 2)
	echo '<h1>Details error</h1><p>You have not filled in the required fields. Please <a href="details.html">go back</a> and try again.</p>';
elseif(is_valid_email($_POST['email'])==false)
	echo '<h1>Details error</h1><p>It looks like the e-mail you entered is invalid. Please <a href="details.html">go back</a> and try again.</p>';
else
{

?>
<div style="font-size:18px;margin-top:15px;letter-spacing:5px;">
Basket >> 
Delivery >> 
<span style="color:#000;">Confirm Orderm</span> >> 
Complete
</div>

<h1>Confirm Order</h1>
<p>Please confirm all the details below. Should you need to change anything please click the corresponding 'change' link.</p>

<h1>Your Basket (<a href="basket.html">change</a>)</h1>
<?php
			if(isset($_SESSION['basket']))
			{
?>
<table width="100%" border="0" cellspacing="0" cellpadding="5" class="darker">
	<tr>
		<td width="180" align="center" style="border-bottom:1px solid #EEE;"><strong>Product</strong></td>
		<td width="100" align="center" style="border-bottom:1px solid #EEE;"><strong>Colour</strong></td>
		<td width="50" align="center" style="border-bottom:1px solid #EEE;"><strong>Size</strong></td>
		<td width="80" align="center" style="border-bottom:1px solid #EEE;"><strong>Quantity</strong></td>
		<td align="center" style="border-bottom:1px solid #EEE;"><strong>Price</strong></td>
	</tr>
<?php
				foreach($_SESSION['basket'] as $ProductID => $Array)
				{
					$Saved = 0;
					$EndPrice = 0;
					$GetProduct = mysql_query("SELECT * FROM `products` WHERE `id` = '" . $ProductID . "'");					
					if(mysql_num_rows($GetProduct) != 0)
					{
						$ProductRow = mysql_fetch_array($GetProduct);
						$ProductRow = makeW3C($ProductRow);
						
						foreach($Array as $TMPID=>$Product)
						{			
							$EndPrice = $ProductRow['price'];
							
							
							$TotalProductsPrice += ($Product['Quantity'] * $EndPrice);
							$TotalProducts += $Product['Quantity'];
							
?>
	<tr>
		<td align="center"><img src="/i/products/<?php echo $ProductID; ?>/<?php echo $Product['Colour']; ?>_t.jpg" alt="<?php echo $ProductRow['name']; ?>" width="170" /></td>
		<td align="center"><?php echo $_COLOURS[$Product['Colour']]['Name']; ?></td>
		<td align="center"><?php echo $_SIZES[$Product['Size']]; ?></td>
		<td align="center"><?php echo $Product['Quantity']; ?></td>
		<td align="center">&pound;<?php echo number_format($ProductRow['price'] * $Product['Quantity'], 2); ?></td>
	</tr>
<?php
						}
					}
				}
				
				echo '</table>';
		}
?>
<div style="padding-bottom:10px;border:1px solid #EEE;border-left:0px;border-right:0px;">
<?php
	$_SESSION['_DELIVERY'] = $_DELIVERYPRICE = getDeliveryPrice($_SESSION['details']['country']);
	$_SESSION['_TOTAL'] = number_format($TotalProductsPrice, 2);
	

if(isset($_SESSION['cartvoucher']['code']))
{
	if($_SESSION['cartvoucher']['price'] != '0.00')
	{
		$_STRING = '&pound;' . number_format($_SESSION['cartvoucher']['price'], 2);
		$Saved = ($_SESSION['carttotal'] - $_SESSION['cartvoucher']['price']);
	}
	elseif(empty($_SESSION['cartvoucher']['percent'])==false)
	{
		$EndPrice = $_SESSION['carttotal'] - ($_SESSION['carttotal'] * ($_SESSION['cartvoucher']['percent']/100));
		$_STRING = $_SESSION['cartvoucher']['percent'] . '%';
		$Saved = ($_SESSION['carttotal'] * ($_SESSION['cartvoucher']['percent']/100));
	}
	
	$_SESSION['carttotal'] = $_SESSION['carttotal'];
}
?>
<h2 class="darker" style="text-align:right;">Delivery Rate: &pound;<?php echo number_format($_SESSION['_DELIVERY'], 2); ?></h2>
</div>

<h2 class="darker" style="text-align:right;">TOTAL PRICE: &pound;<?php echo number_format($_SESSION['_TOTAL'] + $_SESSION['_DELIVERY'], 2); ?></h2>
<?php if($Saved>0) { ?>
<h2 class="darker" style="text-align:right;">PRICE AFTER DISCOUNT: &pound;<?php echo number_format(($_SESSION['_TOTAL'] + $_SESSION['_DELIVERY']) - $Saved, 2); ?></h2>
<h2 class="darker" style="text-align:right;">YOU SAVED: &pound;<?php echo number_format($Saved, 2); ?></h2>
<?php }
$_SESSION['_TOTAL'] = (($_SESSION['_TOTAL']) - $Saved);
?>

<h1>Your Delivery Address (<a href="details.html">change</a>)</h1>

<div class="confirmov">
<label>First Name </label> <div><?php echo $_SESSION['details']['fname']; ?></div><br />
<label>Last Name </label> <div><?php echo $_SESSION['details']['lname']; ?></div><br />
<label>Address </label> <div><?php echo $_SESSION['details']['address1']; ?></div><br />
<label>&nbsp;</label> <div><?php echo $_SESSION['details']['address2']; ?>&nbsp;</div><br />
<label>City/Town </label> <div><?php echo $_SESSION['details']['citytown']; ?></div><br />
<label>County </label> <div><?php echo $_SESSION['details']['county']; ?></div><br />
<label>Postal Code </label> <div><?php echo $_SESSION['details']['postalcode']; ?></div><br />
<label>Country </label> <div><?php echo $_COUNTRIES[$_SESSION['details']['country']]; ?></div><br />
<label>E-Mail Address </label> <div><?php echo $_SESSION['details']['email']; ?></div><br />
<label>Phone </label> <div><?php echo $_SESSION['details']['phone']; ?></div><br />
</div>

<form action="paypal.html" method="post">
<input name="PayPal" type="image" value="Place Order" src="i/other/btn_placeorder.gif" style="clear:both;width:auto;height:auto;float:right;" class="clear" />
</form>
<?php } ?>
</div>

<?php require_once("_footer.php"); ?>